OCF_HEARTBEAT_MANAGE(7)

NAME
ocf_heartbeat_ManageRAID - Manages RAID devices

SYNOPSIS

ManageRAID [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

Manages starting, stopping and monitoring of RAID devices which are preconfigured in /etc/conf.d/HB-ManageRAID.

SUPPORTED PARAMETERS

raidname
    Name (case sensitive) of RAID to manage. (preconfigured in /etc/conf.d/HB-ManageRAID)

    (required, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 75s.

stop
    Stops the resource. Suggested minimum timeout: 75s.

status
    Performs a status check. Suggested minimum timeout: 10s. Suggested interval: 10s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 10s. Suggested interval: 10s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a ManageRAID resource using the crm(8) shell:

    primitive p_ManageRAID ocf:heartbeat:ManageRAID \
      params \
        raidname=string \
      op monitor depth="0" timeout="10s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a ManageRAID resource using pcs(8)

    pcs resource create p_ManageRAID ocf:heartbeat:ManageRAID \
      raidname=string \
      op monitor OCF_CHECK_LEVEL="0" timeout="10s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)